import request from '@/utils/request'
	
/**
 * @Descripttion: 商品评价Api接口
 * @version: (1.0)
 * @Author: (admin)
 * @Date: (2023-07-15)
 * @LastEditors: (admin)
 * @LastEditTime: (2023-07-15)
*/

// 商品评价分页查询列表
export function goodsCommentList(query) {
  return request({
    url: '/business/GoodsComment/getGoodsCommentList',
    method: 'get',
    params: query
  })
}

// 商品评价新增或修改
export function addOrUpdateGoodsComment(data) {
  return request({
    url: '/business/GoodsComment/addOrUpdateGoodsComment',
    method: 'post',
    data: data,
  })
}

// 商品评价删除
export function delGoodsComment(ids) {
  return request({
    url: '/business/GoodsComment/'+ ids,
    method: 'delete'
  })
}


// 商品评价回复
export function goodsCommentRecover(data) {
  return request({
    url: 'business/GoodsComment/recover',
    method: 'put',
    data: data
  })
}
